Subject: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 24 Aug 2017 17:42:53 +0000

Have people in this community seen the following document that is working
its way through the publication process in the 'v6ops' working group:

https://www.ietf.org/id/draft-ietf-v6ops-unique-ipv6-prefix-per-host-07.txt

It seems to make some very limiting statements about DHCPv6 in a similar
spirit as was done in RFC7934 (the limiting statements apply to both IA_NA
and IA_PD).

Thanks - Fred

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 25 Aug 2017 09:04:38 -0400

Hi Fred,

> On Aug 24, 2017, at 1:42 PM, Templin, Fred L <[email-masked]> wrote:
> 

There are a couple of references to DHCPv6 in the draft. I do not see any limitation to the use of IA_PD.

There is a recommendation against a IA_NA *only* network that is a straight reference to RFC7934 and nothing additional

"an IA_NA-only network is not recommended per RFC7934 <https://tools.ietf.org/html/rfc7934> [RFC7934] section 8 <https://tools.ietf.org/html/rfc7934#section-8>"

I have asked for the motivation for the text (See my ballot at https://datatracker.ietf.org/doc/draft-ietf-v6ops-unique-ipv6-prefix-per-host/ballot/#suresh-krishnan <https://datatracker.ietf.org/doc/draft-ietf-v6ops-unique-ipv6-prefix-per-host/ballot/#suresh-krishnan>)

"however it SHOULD NOT use stateful DHCPv6 to receive a service provider managed IPv6 address”

Is there some specific text you are concerned about?

Thanks
Suresh

---

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 25 Aug 2017 15:44:47 +0000

Hi Suresh,

My intent on posting was to make the dhc community aware that there is a
BCP document in the publication queue that makes statements about DHCPv6.
My point about IA_PD concerns the following draft text:

   o  M-flag = 0 (UE/subscriber address is not managed through DHCPv6),
      this flag may be set to 1 in the future if/when DHCPv6 prefix
      delegation support is desired)

I find the text “may be set to 1 in the future if/when DHCPv6 prefix delegation
support is desired” to sound as if it is casting doubts on whether that future will
ever arrive. Can this WG live with text of this nature going forward in a BCP?

I do not have any specific comments on IA_NA; my area of interest is IA_PD.
But, others in this community may want to have a look.

Thanks - Fred

From: Suresh Krishnan [mailto:[email-masked]]
Sent: Friday, August 25, 2017 6:05 AM
To: Templin, Fred L <[email-masked]>
Cc: [email-masked]
Subject: Re: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

Hi Fred,

On Aug 24, 2017, at 1:42 PM, Templin, Fred L <[email-masked]<mailto:[email-masked]>> wrote:

"an IA_NA-only network is not recommended per RFC7934<https://tools.ietf.org/html/rfc7934> [RFC7934] section 8<https://tools.ietf.org/html/rfc7934#section-8>"

I have asked for the motivation for the text (See my ballot at https://datatracker.ietf.org/doc/draft-ietf-v6ops-unique-ipv6-prefix-per-host/ballot/#suresh-krishnan)

Thanks
Suresh